<?php
require_once ("../../config/Cado.php");
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();

require_once ("../notacredito/cNotacredito.php");
$oNotacredito = new cNotacredito();

require_once ("../notadebito/cNotadebito.php");
$oNotadebito = new cNotadebito();

require_once("../guiaremision/cGuiaremision.php");
$oGuiaremision = new cGuiaremision();

require_once("../formatos/formato.php");

$dts = $oVenta->mostrarUno($_POST['ven_id']);
	$dt = mysqli_fetch_array($dts);
	$tipdoc = $dt['tb_documento_nom'];
	$ven_numdoc = $dt['tb_venta_numdoc'];
	$cli_pas = $dt['tb_cliente_pas'];
	$cli_doc = $dt['tb_cliente_doc'];
	$cli_nom = $dt['tb_cliente_nom'];
	$emp_ruc	= $dt['tb_empresa_ruc'];
	$emp_razsoc	= $dt['tb_empresa_razsoc'];
	mysqli_free_result($dts);
	
	$venta .= '<a href="../../ecomprobante/venta/venta_impcpe_doc.php?guiaid='.encriptar($_POST['ven_id']).'" target="_blank" class="badge"
		style="background-color:#4B515D;color:#fff;" >'.$ven_numdoc.'</a> <br /> ';
		
		
	
	$numdocguia = '';
	$dtsguia = $oGuiaremision->verexistencia($_POST['ven_id']);
	$numrowsguia = mysqli_num_rows($dtsguia);
	$guia = '';
	if($numrowsguia>0){
		
		while($dtg = mysqli_fetch_array($dtsguia)){
		$idguia = $dtg['tb_guiaremision_id'];
		$numdocguia = 'GUIA '.$dtg['tb_guiaremision_numdoc'];
		$guia .= '<a href="../../ecomprobante/guiaremision/guiaremision_impcpe_doc.php?guiaid='.encriptar($idguia).'" target="_blank" class="badge"
		style="background-color:#4B515D;color:#fff;" >'.$numdocguia.'</a> <br /> ';
		} 
	
	}
	
	$numdocnc = '';
	$dtsnc = $oNotacredito->validarVenta($_POST['ven_id']);
	$numrowsnc = mysqli_num_rows($dtsnc);
	$nc = '';
	if($numrowsnc>0){
		
		while($dtnc = mysqli_fetch_array($dtsnc)){
		$idnc = $dtnc['tb_notacredito_id'];
		$numdocnc = 'NC '.$dtnc['tb_notacredito_numdoc'];
		$nc .= '<a href="../../ecomprobante/notacredito/notacredito_impcpe_doc.php?notid='.encriptar($idnc).'" target="_blank" class="badge"
		style="background-color:#00897b;color:#fff;" >'.$numdocnc.'</a> <br />';
	} 	
	}
	
	$numdocnd = '';
	$dtsnd = $oNotadebito->validarVenta($_POST['ven_id']);
	$numrowsnd = mysqli_num_rows($dtsnd);
	$nd = '';
	if($numrowsnd>0){
		
		while($dtnd = mysqli_fetch_array($dtsnd)){
		$idnd = $dtnd['tb_notadebito_id'];
		$numdocnd = 'ND '.$dtnd['tb_notadebito_numdoc'];
		$nd .= '<a href="../../ecomprobante/notadebito/notadebito_impcpe_doc.php?notid='.encriptar($idnd).'" target="_blank" class="badge"
		style="background-color:#1c2a48;color:#fff;" >'.$numdocnd.'</a> <br />';
	} 
	
	}
	
	
	
	
	
	
	//echo $cli_doc;

$menwa= '

Estimado(a) cliente: '.$cli_nom.' %0A
Por la presente le comunicamos '.$emp_razsoc.' emisor electronico de comprobantes de pago, ha emitido el siguiente documento: %0A


';


$menwa.=' '.$tipdoc.' - '.$ven_numdoc.' %0A https://villasalinas.siis.ovh/ecomprobante/venta/venta_impcpe_doc.php?token='.encriptar($_POST['ven_id']).' %0A ';

if($idguia!=""){
$menwa.=' GUIA REMISION - '.$numdocguia.' %0A https://villasalinas.siis.ovh/ecomprobante/guiaremision/guiaremision_impcpe_doc.php?token='.encriptar($idguia).' %0A ';
}
if($idnc!=""){
$menwa.=' NOTA DE CREDITO  - '.$numdocnc.' %0A https://villasalinas.siis.ovh/ecomprobante/notacredito/notacredito_impcpe_doc.php?token='.encriptar($idnc).' %0A ';
}
if($idnd!=""){
$menwa.=' NOTA DE DEBITO  - '.$numdocnd.' %0A https://villasalinas.siis.ovh/ecomprobante/notadebito/notadebito_impcpe_doc.php?token='.encriptar($idnd).' %0A ';
}


$men= '

Estimado(a) cliente: '.$cli_nom.' </br>
Por la presente le comunicamos '.$emp_razsoc.' emisor electronico de comprobantes de pago, ha emitido el siguiente documento:

	<table style="width:100%;" >
	 <tr style="border:1px solid #010101">
	 <td style="background-color:#263238;color:#fff;" > <strong>TIPO DE DOCUMENTO</strong></td>
	 <td align="right"><strong>'.$tipdoc.'</strong></td>
	 </tr> 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="background-color:#263238;color:#fff;" ><strong >NUMERO DE DOCUMENTO</strong></td>
	 <td align="right"> <strong>'.$ven_numdoc.'</strong></td>
	 </tr>
	 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="" ><strong ></strong></td>
	 </tr>
	 
	 
	';

if($idguia!=""){
$men .= ' <tr style="border:1px solid #010101">
	 <td style="background-color:#FFC107;color:#000;" > <strong>TIPO DE DOCUMENTO</strong></td>
	 <td align="right"><strong>GUIA DE REMISION</strong></td>
	 </tr> 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="background-color:#FFC107;color:#000;" ><strong >NUMERO DE DOCUMENTO</strong></td>
	 <td align="right"> <strong>'.$numdocguia.'</strong></td>
	 </tr> 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="" ><strong ></strong></td>
	 </tr>
	 
	';
	}
	 
	if($idnc!=""){ 
	$men .= ' <tr style="border:1px solid #010101">
	 <td style="background-color:#EC407A;color:#fff;" > <strong>TIPO DE DOCUMENTO</strong></td>
	 <td align="right"><strong>NOTA CREDITO</strong></td>
	 </tr> 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="background-color:#EC407A;color:#fff;" ><strong >NUMERO DE DOCUMENTO</strong></td>
	 <td align="right"> <strong>'.$numdocnc.'</strong></td>
	 </tr> 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="" ><strong ></strong></td>
	 </tr>
	 
	 ';
	}

if($idnd!=""){
$men .= ' <tr style="border:1px solid #010101">
	 <td style="background-color:#0277BD;color:#fff;" > <strong>TIPO DE DOCUMENTO</strong></td>
	 <td align="right"><strong>NOTA DEBITO</strong></td>
	 </tr> 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="background-color:#0277BD;color:#fff;" ><strong >NUMERO DE DOCUMENTO</strong></td>
	 <td align="right"> <strong>'.$numdocnd.'</strong></td>
	 </tr> 
	 
	 <tr style="border:1px solid #010101" >
	 <td style="" ><strong ></strong></td>
	 </tr>
	 ';
}
	
	$men .= ' 
	 </table>
	 
	 
';




?>		
					<div class="box-header">
						<h3 class="box-title">ENVIAR WHATSAPP</h3>
					</div>
					<div class="box-body">
					<div class="form-group">

							<div class="col-lg-12 col-sm-12 col-xs-12">
								<label class="text-red" >Para usar esta funcion :</label> </br>			
								<label class="text-red" >	- Escribir el NUMERO DE WHATSAAP, sin codigo +51</label>			
								<label class="text-red" >	- En PC, LAPTOP, whatsap debe estar abierto en WEB O APLICACION DE ESCRITORIO.</label>			
								<label class="text-red" >	- En TELOFONOS, TABLETS, es mas rapido su uso.</label>			
							</div>

							
							
							<div class="row">
							<div class="col-lg-12 col-sm-12 col-xs-12">
								<label for="txt_numero">Numero whatsapp:</label> 						
								<div class="input-group">
 									<input name="txt_numero" type="phone" autocomplete="off" class="form-control input-sm" id="txt_numero" style="text-align:right;" >
 														
									<span id="div_pago_agregar" class="input-group-btn">
 										<a id="btn_enviarwhatsap" class="btn btn-success btn-flat"  href="javascript:void(0)"><i class="fab fa-whatsapp"></i></a> 
 									</span>
 								</div>				
							</div>
							
							<div class="col-lg-12 col-md-12 col-xs-12">
									<label for="txt_wa_men">Mensaje:</label>	
									<textarea style="display:none;" name="txt_wa_men" id="txt_wa_men"><?php echo $menwa?></textarea>
									<div style="font-size:1rem;font-weight:bold;"><?php echo $men?></div>	
							</div>
							</div>
			
			
							
						</div>
					</div>
		
			<div class="box-footer float-right">
				<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
			</div>
		
<script type="text/javascript">
	
	function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
	}
	
	
	$('#btn_enviarwhatsap').click(function(){
		
		if($('#txt_numero').val()>0){
			text = $('#txt_wa_men').val();
			abrirEnPestana('https://api.whatsapp.com/send?phone=+51'+$('#txt_numero').val()+'&text='+text);
		}else{
			toastr["error"]('Ingrese un numero de whatsapp');
		}
		
		
	});
	


$(document).ready(function() {
		
	
});
	
	
</script>